using System;
using System.ComponentModel;

namespace System.Reactive.PlatformServices
{
	[EditorBrowsable(EditorBrowsableState.Never)]
	public static class PlatformEnlightenmentProvider
	{
		[Obsolete("This mechanism will be removed in the next major version", false)]
		public static IPlatformEnlightenmentProvider Current
		{
			get
			{
				return PlatformEnlightenmentProvider._current;
			}
			set
			{
				if (value == null)
				{
					throw new ArgumentNullException("value");
				}
				PlatformEnlightenmentProvider._current = value;
			}
		}

		private static IPlatformEnlightenmentProvider _current = new CurrentPlatformEnlightenmentProvider();
	}
}
